--
-- PostgreSQL database dump
--

-- Dumped from database version 12.2 (Ubuntu 12.2-2.pgdg18.04+1)
-- Dumped by pg_dump version 12.2 (Ubuntu 12.2-2.pgdg18.04+1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: citext; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS citext WITH SCHEMA public;


--
-- Name: EXTENSION citext; Type: COMMENT; Schema: -; Owner:
--

COMMENT ON EXTENSION citext IS 'data type for case-insensitive character strings';


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: accounts; Type: TABLE; Schema: public; Owner: holyblocks
--

CREATE TABLE public.accounts (
    id bigint NOT NULL,
    user_handle text NOT NULL,
    real_name text,
    created_at timestamp with time zone DEFAULT now() NOT NULL,
    updated_at timestamp with time zone DEFAULT now() NOT NULL,
    group_admin boolean DEFAULT false NOT NULL,
    uuid uuid NOT NULL,
    group_id bigint NOT NULL
);


ALTER TABLE public.accounts OWNER TO holyblocks;

--
-- Name: accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: holyblocks
--

ALTER TABLE public.accounts ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: books; Type: TABLE; Schema: public; Owner: holyblocks
--

CREATE TABLE public.books (
    id bigint NOT NULL,
    name text NOT NULL,
    abbr text NOT NULL,
    long_name text NOT NULL,
    author text,
    bibleserver_name text,
    created_at timestamp with time zone DEFAULT now() NOT NULL,
    updated_at timestamp with time zone DEFAULT now() NOT NULL
);


ALTER TABLE public.books OWNER TO holyblocks;

--
-- Name: books_id_seq; Type: SEQUENCE; Schema: public; Owner: holyblocks
--

ALTER TABLE public.books ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.books_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: groups; Type: TABLE; Schema: public; Owner: holyblocks
--

CREATE TABLE public.groups (
    id bigint NOT NULL,
    name text NOT NULL,
    minecraft_handle public.citext NOT NULL,
    mail text NOT NULL,
    manage_token text NOT NULL,
    credentials jsonb NOT NULL,
    created_at timestamp with time zone DEFAULT now() NOT NULL,
    updated_at timestamp with time zone DEFAULT now() NOT NULL,
    CONSTRAINT groups_minecraft_handle_check CHECK (((minecraft_handle OPERATOR(public.~) '^[a-zA-Z][a-zA-Z0-9_.-]+$'::public.citext) AND (char_length((minecraft_handle)::text) <= 22)))
);


ALTER TABLE public.groups OWNER TO holyblocks;

--
-- Name: groups_id_seq; Type: SEQUENCE; Schema: public; Owner: holyblocks
--

ALTER TABLE public.groups ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: pericopes; Type: TABLE; Schema: public; Owner: holyblocks
--

CREATE TABLE public.pericopes (
    id bigint NOT NULL,
    book_id bigint NOT NULL,
    book_serial integer NOT NULL,
    verse_start text NOT NULL,
    verse_end text NOT NULL,
    level smallint NOT NULL,
    title text NOT NULL,
    labels text[] NOT NULL,
    library_location text,
    world_handle text,
    group_id bigint,
    author text NOT NULL,
    created_at timestamp with time zone DEFAULT now() NOT NULL,
    updated_at timestamp with time zone DEFAULT now() NOT NULL,
    assigned_at timestamp with time zone,
    finished_at timestamp with time zone,
    CONSTRAINT pericopes_level_check CHECK (((level >= 1) AND (level <= 5)))
);


ALTER TABLE public.pericopes OWNER TO holyblocks;

--
-- Name: pericopes_id_seq; Type: SEQUENCE; Schema: public; Owner: holyblocks
--

ALTER TABLE public.pericopes ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.pericopes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: accounts accounts_uuid_uniq; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.accounts
    ADD CONSTRAINT accounts_uuid_uniq UNIQUE (group_id, uuid);


--
-- Name: books books_abbr_key; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.books
    ADD CONSTRAINT books_abbr_key UNIQUE (abbr);


--
-- Name: books books_long_name_key; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.books
    ADD CONSTRAINT books_long_name_key UNIQUE (long_name);


--
-- Name: books books_name_key; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.books
    ADD CONSTRAINT books_name_key UNIQUE (name);


--
-- Name: books books_pkey; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.books
    ADD CONSTRAINT books_pkey PRIMARY KEY (id);


--
-- Name: groups groups_manage_token_uniq; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.groups
    ADD CONSTRAINT groups_manage_token_uniq UNIQUE (manage_token);


--
-- Name: groups groups_minecraft_handle_key; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.groups
    ADD CONSTRAINT groups_minecraft_handle_key UNIQUE (minecraft_handle);


--
-- Name: groups groups_name_key; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.groups
    ADD CONSTRAINT groups_name_key UNIQUE (name);


--
-- Name: groups groups_pkey; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.groups
    ADD CONSTRAINT groups_pkey PRIMARY KEY (id);


--
-- Name: pericopes pericopes_pkey; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.pericopes
    ADD CONSTRAINT pericopes_pkey PRIMARY KEY (id);


--
-- Name: pericopes pericopes_serial_uniq; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.pericopes
    ADD CONSTRAINT pericopes_serial_uniq UNIQUE (book_id, book_serial);


--
-- Name: pericopes pericopes_title_uniq; Type: CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.pericopes
    ADD CONSTRAINT pericopes_title_uniq UNIQUE (title);


--
-- Name: accounts accounts_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.accounts
    ADD CONSTRAINT accounts_group_id_fkey FOREIGN KEY (group_id) REFERENCES public.groups(id);


--
-- Name: pericopes pericopes_book_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.pericopes
    ADD CONSTRAINT pericopes_book_id_fkey FOREIGN KEY (book_id) REFERENCES public.books(id);


--
-- Name: pericopes pericopes_group_id_fk; Type: FK CONSTRAINT; Schema: public; Owner: holyblocks
--

ALTER TABLE ONLY public.pericopes
    ADD CONSTRAINT pericopes_group_id_fk FOREIGN KEY (group_id) REFERENCES public.groups(id) ON UPDATE CASCADE;


--
-- PostgreSQL database dump complete
--

